## org.biojava.bridge.Biocorba.Seqcore
Class PrimarySeqDBImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl
            |
            +--org.biojava.bridge.Biocorba.Seqcore.PrimarySeqDBImpl

Direct Known Subclasses:
  SeqDBImpl

public class PrimarySeqDBImpl
extends UnknownImpl
implements _PrimarySeqDB_Operations

Constructor Summary
`PrimarySeqDBImpl(SequenceDB sequenceDB)`

Method Summary
`java.lang.String` `database_name(org.omg.CORBA.portable.ObjectImpl primarySeqDB)`
`short` `database_version(org.omg.CORBA.portable.ObjectImpl primarySeqDB)`
`PrimarySeq` `get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl primarySeqDB, java.lang.String primary_id)`
`SequenceDB` `getSequenceDB()`
`PrimarySeqIterator` `make_PrimarySeqIterator(org.omg.CORBA.portable.ObjectImpl primarySeqDB)`

Methods inherited from class org.biojava.bridge.GNOME.UnknownImpl
`query_interface, ref, unref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimarySeqDBImpl

    public PrimarySeqDBImpl(SequenceDB sequenceDB)

Method Detail

### getSequenceDB

    public SequenceDB getSequenceDB()

### database_name

    public java.lang.String database_name(org.omg.CORBA.portable.ObjectImpl primarySeqDB)

  Specified by:
    database_name in interface _PrimarySeqDB_Operations

### database_version

    public short database_version(org.omg.CORBA.portable.ObjectImpl primarySeqDB)

  Specified by:
    database_version in interface _PrimarySeqDB_Operations

### make_PrimarySeqIterator

    public PrimarySeqIterator make_PrimarySeqIterator(org.omg.CORBA.portable.ObjectImpl primarySeqDB)

  Specified by:
    make_PrimarySeqIterator in interface _PrimarySeqDB_Operations

### get_PrimarySeq

    public PrimarySeq get_PrimarySeq(org.omg.CORBA.portable.ObjectImpl primarySeqDB,
                                     java.lang.String primary_id)
                              throws UnableToProcess

  Specified by:
    get_PrimarySeq in interface _PrimarySeqDB_Operations